Name:           python-aiomqtt
Version:        0.1.3
Release:    1%{?dist}
Summary:        An AsyncIO asynchronous wrapper around paho-mqtt

License:        EPL-1.0 OR BSD-3-Clause
URL:            https://github.com/mossblaser/aiomqtt
Source0:         %{url}/archive/v%{version}/aiomqtt-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  mosquitto

%global common_description %{expand:
This library implements a minimal Python 3 asyncio wrapper around the MQTT
client in paho-mqtt.}

%description %{common_description}


%package -n     python3-aiomqtt
Summary:        %{summary}

%description -n python3-aiomqtt %{common_description}


%prep
%autosetup -n aiomqtt-%{version}
sed -r -i '/\b(flake8)\b/d' requirements-test.txt


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files aiomqtt


%check
%pytest


%files -n python3-aiomqtt -f %{pyproject_files}
%license LICENSE.txt edl-v10 epl-v10
%doc README.md


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-1
- initial build
